> For the complete documentation index, see [llms.txt](https://docs.bwarelabs.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bwarelabs.com/api-docs/binance-smart-chain-rpc-api/rpc/eth_syncing-method.md).

# eth\_syncing method

### **Parameters**

none

### **Returns**

`Object|Boolean`, An object with sync status data or `FALSE`, when not syncing:

* `startingBlock`: `QUANTITY` - The block at which the import started (will only be reset, after the sync reached his head)
* `currentBlock`: `QUANTITY` - The current block, same as eth\_blockNumber
* `highestBlock`: `QUANTITY` - The estimated highest block

## **Example** <a href="#example" id="example"></a>

```
// Request
curl -H "Content-Type: application/json" -d '{"id":1, "jsonrpc":"2.0", "method": "eth_syncing","params": []}' https://bsc-api.bwarelabs.com/<your-endpoint-id>

// Response

//Edpoint syncing
{
   "jsonrpc":"2.0",
   "id":1,
   "result":{
      "currentBlock":"0x4162f",
      "highestBlock":"0x24511a",
      "knownStates":"0x0",
      "pulledStates":"0x0",
      "startingBlock":"0x0"
   }
}

//Endpoint fully synced
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": false
}
```
